MessageAuthenticationCodeFinal< BASE > Class Template Reference

Provides class member functions to key a message authentication code. More...

Inheritance diagram for MessageAuthenticationCodeFinal< BASE >:

## Public Member Functions

| MessageAuthenticationCodeFinal ()
| Construct a default MessageAuthenticationCodeFinal. More...
| MessageAuthenticationCodeFinal (const byte *key)
| Construct a BlockCipherFinal. More...
| MessageAuthenticationCodeFinal (const byte *key, size_t length)
| Construct a BlockCipherFinal. More...
Public Member Functions inherited from ClonableImpl< MessageAuthenticationCodeFinal< BASE >, MessageAuthenticationCodeImpl< BASE > >
Clonable * | Clone () const
Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< BASE, BASE >, BASE >
std::string | AlgorithmName () const
Public Member Functions inherited from SimpleKeyingInterfaceImpl< BASE, BASE >
size_t | MinKeyLength () const
| The minimum key length used by the algorithm. More...
size_t | MaxKeyLength () const
| The maximum key length used by the algorithm. More...
size_t | DefaultKeyLength () const
| The default key length used by the algorithm. More...
size_t | GetValidKeyLength (size_t keylength) const
| Provides a valid key length for the algorithm. More...
SimpleKeyingInterface::IV_Requirement | IVRequirement () const
| The default IV requirements for the algorithm. More...
unsigned int | IVSize () const
| The default initialization vector length for the algorithm. More...

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< SimpleKeyingInterfaceImpl< BASE, BASE >, BASE >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class BASE>
class MessageAuthenticationCodeFinal< BASE >

Provides class member functions to key a message authentication code.

Template Parameters

  DIR | a CipherDir
  BASE | a BlockCipherImpl derived class

Definition at line 394 of file seckey.h.

## Constructor & Destructor Documentation

## MessageAuthenticationCodeFinal() [1/3]

template<class BASE >

MessageAuthenticationCodeFinal< BASE >::MessageAuthenticationCodeFinal | ( |  | ) |

inline

Construct a default MessageAuthenticationCodeFinal.

The message authentication code is not keyed.

Definition at line 399 of file seckey.h.

## MessageAuthenticationCodeFinal() [2/3]

template<class BASE >

MessageAuthenticationCodeFinal< BASE >::MessageAuthenticationCodeFinal | ( | const byte * | key | ) |

inline

Construct a BlockCipherFinal.

Parameters

  key | a byte array used to key the algorithm

key must be at least DEFAULT_KEYLENGTH in length. Internally, the function calls SimpleKeyingInterface::SetKey.

Definition at line 404 of file seckey.h.

## MessageAuthenticationCodeFinal() [3/3]

template<class BASE >

MessageAuthenticationCodeFinal< BASE >::MessageAuthenticationCodeFinal | ( | const byte * | key,
|  | size_t | length
| ) |  |

inline

Construct a BlockCipherFinal.

Parameters

  key | a byte array used to key the algorithm
  length | the length of the byte array

key must be at least DEFAULT_KEYLENGTH in length. Internally, the function calls SimpleKeyingInterface::SetKey.

Definition at line 411 of file seckey.h.

The documentation for this class was generated from the following file:

- seckey.h